ITEM = openAura.item:New();
ITEM.name = "Coffee Mug";
ITEM.cost = 12;
ITEM.model = "models/props_junk/garbage_coffeemug001a.mdl";
ITEM.weight = 0.4;
ITEM.useText = "Drink";
ITEM.category = "Consumables";
ITEM.access = "1";
ITEM.classes = {CLASS_CWU};
ITEM.business = true;
ITEM.description = "A dirty mug filled with black liquid.";

-- Called when a player uses the item.
function ITEM:OnUse(player, itemEntity)
	player:SetHealth( math.Clamp(player:Health() + 10, 0, 100) );
	
	player:BoostAttribute(self.name, ATB_ENDURANCE, 2, 120);
	player:BoostAttribute(self.name, ATB_STAMINA, 3, 120);
end;

-- Called when a player drops the item.
function ITEM:OnDrop(player, position) end;

openAura.item:Register(ITEM);